# Thème pour Pelican

Ce thème a été en premier designé par [Eban](https://eban.bzh) avant d’être refait à ma sauce. Je me suis aussi beaucoup inspiré de [medius](https://github.com/onur/medius).

## Installation

Pour l’installation, suivez la [documentation officielle](https://docs.getpelican.com/en/4.5.4/pelican-themes.html).

## Variables

### Auteur

Vous pouvez définir une description sur la page auteur ainsi que des liens vers Twitter, Github, Mastodon et Gitea : 

```
NUIR_AUTHORS = {
    'John': {
        "description": "Lorem ipsum",
        "links": (('mastodon', 'link'),
                  ('github', 'link')),
    }
}
```

### Licence

Il est possible d’utiliser une licence à mettre sur le contenu des articles. Il faut rajouter une valeur à la variable `NUIR_LICENCE` dans le fichier de configuration de Pelican.

Les suivantes sont natives au thème:

* CCBY
* CCBYSA
* CCBYND
* CCBYNCSA
* CCBYNCND
* GNUFDL

Pour mettre une autre licence ou un bouton personnalisé à cet emplacement, il faut utiliser la structure suivante:

```
NUIR_LICENCE = {
    'link': 'lien qui redirige l’utilisateur quand il clique sur l’image',
    'alt': 'alt de l’image',
    'image': 'chemin de l’image'
}
```

## Support de plugins

Ce thème supporte les plugins suivant :

* [Series](https://github.com/getpelican/pelican-plugins/tree/master/series)
* [Drafts](https://github.com/noirbizarre/pelican-drafts)
